# RakPeerInterface.h File Reference

An interface for RakPeer. Simply contains all user functions as pure virtuals. More...

`#include "PacketPriority.h"`
`#include "RakNetTypes.h"`
`#include "RakMemoryOverride.h"`
`#include "Export.h"`
`#include "DS_List.h"`

## Classes

class | RakPeerInterface
| The main interface for network communications. More...

## Namespaces

namespace | RakNet
| Forward declaration.

## Detailed Description

An interface for RakPeer. Simply contains all user functions as pure virtuals.

This file is part of RakNet Copyright 2003 Jenkins Software LLC

Usage of RakNet is subject to the appropriate license agreement.